from neuron import h
h.load_file("nrngui.hoc")
h.load_file("cell.ses") # model cell with hh

h.load_file("electroded.ses") 
# electroded.ses recreates a LinearCircuit builder representation of 
# a current clamp attached to a cell through an imperfect electrode.
# The properties of the electrode are represented by an equivalent
# T circuit in which the horizontal arms are the electrode's series 
# resistance and the vertical stem is the electrode capacitance.
# The current clamp generates a current that is driven by an external source,
# e.g. specified by a pair of Vectors.
# The external stimulus pattern should play into h.LinearCircuit[0]._ref_I

h.load_file("run.ses") # RunControl for launching simulations

tvec = h.Vector(5) # enough breakpoints for a ramp preceded by baseline
tvec.indgen(1) # elements are 0,1,2...
isvec = h.Vector(5)

# define a piecewise linear function that is flat from 0,0 to 1,0
# rises in a straight line from 1,0 to 2,1
# drops back from 2,1 to 2,0
# stays at 0 thereafter
tvec.x[0] = 0
tvec.x[1] = 1
tvec.x[2] = 2
tvec.x[3] = 2
tvec.x[4] = 3
isvec.x[0] = 0
isvec.x[1] = 0
isvec.x[2] = 1
isvec.x[3] = 0
isvec.x[4] = 0

isvec.play(h.LinearCircuit[0]._ref_I, tvec, 1) # "continuous vector play"

